Create or Update Product Attribute Definition
PUT /obp/v7.0.0/banks/BANK_ID/attribute-definitions/product
OBPv4.0.0-createOrUpdateProductAttributeDefinition Roles: CanCreateProductAttributeDefinitionAtOneBank(per bank) ProductProduct-AttributeAttribute
Create or Update Product Attribute Definition
The category field must be Product
The type field must be one of; DOUBLE, STRING, INTEGER and DATE_WITH_DAY
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (9)
- alias
- attribute_definition_id
- bank_id
- gh.29.uk
- can_be_seen_on_views
- false
- category
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- is_active
- false
- name
- ACCOUNT_MANAGEMENT_FEE
- type
Example request body
{
"name": "SPECIAL_TAX_NUMBER",
"category": "Product",
"type": "STRING",
"description": "description",
"alias": "STRING",
"can_be_seen_on_views": [
"bank"
],
"is_active": true
}Example success response
{
"attribute_definition_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"bank_id": "gh.29.uk",
"name": "SPECIAL_TAX_NUMBER",
"category": "Product",
"type": "STRING",
"description": "description",
"alias": "STRING",
"can_be_seen_on_views": [
"bank"
],
"is_active": true
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: